# TaskDataRepository
Date: 2018-07-30

kr.co.hanwha.hifive.data.source

## Class TaskDataRepository

- java.lang.Object
- - kr.co.hanwha.hifive.data.source.TaskDataRepository

All Implemented Interfaces:
  BaseDataSource, TaskDataSource

    public class TaskDataRepository
    extends java.lang.Object
    implements TaskDataSource

TASK 관련 데이터 저장소 Created by sanghoonkwon on 2018. 1. 11..

### Field Summary

Fields
`private static TaskDataRepository` `sInstance`

### Constructor Summary

Constructors
Constructor and Description
`TaskDataRepository()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `clearData()` Clear data
`static void` `destroyInstance()`
`static TaskDataRepository` `getInstance()`
`void` `requestDeleteTask(android.content.Context context, TaskData taskData, HanwhaNetworkCallback callback)` TASK 삭제
`void` `requestGetTaskDetail(android.content.Context context, int task_id, int project_id, HanwhaNetworkCallback<TaskDetailRoot> callback)` TASK 조회(상세조회)
`void` `requestHelpdeskDetails(android.content.Context context, HanwhaNetworkCallback<HelpdeskDataRoot> callback)` Helpdesk 정보 조회
`void` `requestSendTask(android.content.Context context, java.lang.String task_name, java.lang.String due_to, java.util.ArrayList<MemberInfoData> listMemberInfo, CampaignData campaignData, HanwhaNetworkCallback callback)` TASK 생성
`void` `requestSetTaskToday(android.content.Context context, TaskData taskData, boolean isToday, HanwhaNetworkCallback callback)` 내 TASK -> 오늘 할일 등록
`void` `requestUpdateTask(android.content.Context context, TaskData taskData, CampaignData campaignData, HanwhaNetworkCallback callback)` TASK 수정

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sInstance

    private static TaskDataRepository sInstance

### Constructor Detail

#### TaskDataRepository

    public TaskDataRepository()

### Method Detail

#### getInstance

    public static TaskDataRepository getInstance()

#### destroyInstance

    public static void destroyInstance()

#### clearData

    public void clearData()

Description copied from interface: `BaseDataSource`
Clear data

Specified by:
  `clearData` in interface `BaseDataSource`

#### requestSetTaskToday

    public void requestSetTaskToday(@NonNull
                                    android.content.Context context,
                                    @NonNull
                                    TaskData taskData,
                                    @NonNull
                                    boolean isToday,
                                    @Nullable
                                    HanwhaNetworkCallback callback)

Description copied from interface: `TaskDataSource`
내 TASK -> 오늘 할일 등록

Specified by:
  `requestSetTaskToday` in interface `TaskDataSource`
Parameters:
  `context` - Context
  `taskData` - Task 데이터
  `isToday` - TRUE : 오늘할 업무로 추가 / FALSE : 오늘할 업무에서 삭제
  `callback` - 콜백

#### requestSendTask

    public void requestSendTask(@NonNull
                                android.content.Context context,
                                @NonNull
                                java.lang.String task_name,
                                @NonNull
                                java.lang.String due_to,
                                @NonNull
                                java.util.ArrayList<MemberInfoData> listMemberInfo,
                                @Nullable
                                CampaignData campaignData,
                                @Nullable
                                HanwhaNetworkCallback callback)

Description copied from interface: `TaskDataSource`
TASK 생성

Specified by:
  `requestSendTask` in interface `TaskDataSource`
Parameters:
  `context` - Context
  `task_name` - TASK 내용
  `due_to` - 기한 설정
  `listMemberInfo` - 받는사람 정보
  `campaignData` - Campaign Info
  `callback` - 콜백

#### requestGetTaskDetail

    public void requestGetTaskDetail(@NonNull
                                     android.content.Context context,
                                     @NonNull
                                     int task_id,
                                     @NonNull
                                     int project_id,
                                     @Nullable
                                     HanwhaNetworkCallback<TaskDetailRoot> callback)

Description copied from interface: `TaskDataSource`
TASK 조회(상세조회)

Specified by:
  `requestGetTaskDetail` in interface `TaskDataSource`
Parameters:
  `context` - Context
  `task_id` - TASK ID
  `project_id` - PROJECT ID
  `callback` - 콜백

#### requestUpdateTask

    public void requestUpdateTask(@NonNull
                                  android.content.Context context,
                                  @NonNull
                                  TaskData taskData,
                                  @Nullable
                                  CampaignData campaignData,
                                  @Nullable
                                  HanwhaNetworkCallback callback)

Description copied from interface: `TaskDataSource`
TASK 수정

Specified by:
  `requestUpdateTask` in interface `TaskDataSource`
Parameters:
  `context` - Context
  `taskData` - TASK 데이터
  `campaignData` - Campaign Info
  `callback` - 콜백

#### requestDeleteTask

    public void requestDeleteTask(@NonNull
                                  android.content.Context context,
                                  @NonNull
                                  TaskData taskData,
                                  @Nullable
                                  HanwhaNetworkCallback callback)

Description copied from interface: `TaskDataSource`
TASK 삭제

Specified by:
  `requestDeleteTask` in interface `TaskDataSource`
Parameters:
  `context` - Context
  `taskData` - TASK 데이터
  `callback` - 콜백

#### requestHelpdeskDetails

    public void requestHelpdeskDetails(@NonNull
                                       android.content.Context context,
                                       @Nullable
                                       HanwhaNetworkCallback<HelpdeskDataRoot> callback)

Description copied from interface: `TaskDataSource`
Helpdesk 정보 조회

Specified by:
  `requestHelpdeskDetails` in interface `TaskDataSource`
Parameters:
  `context` - Context
  `callback` - 콜백